# Interface ProtocolInitializer<P, PN>

#### Type Parameters

- #### P extends Platform

- #### PN extends ProtocolName

#### Hierarchy

- ProtocolInitializer

- Defined in definitions/src/protocol.ts:30

#####
Index

### Methods

fromRpc

## Methods

### fromRpc

- fromRpc(rpc, config): Promise<ProtocolImplementation<P, PN>>

- #### Parameters

  - ##### rpc: any

  - ##### config: ChainsConfig<"Mainnet" | "Testnet" | "Devnet", P>

  #### Returns Promise<ProtocolImplementation<P, PN>>

  - Defined in definitions/src/protocol.ts:31

Generated using TypeDoc